<? include('checkcookie.php'); 
echo "<h3>Просмотр результатов конкурсов</h3>";

if($_POST["action"]=="paypris"){
	$idk=$_POST["idk"];
	$iduser=$_POST["iduser"];
	$place=$_POST["place"];
	
	$res = mysql_query("SELECT * FROM `b_comp` WHERE `id`='$idk'");
	$res = mysql_fetch_array($res);
	
	if($res["status".$place] == '1'){
		echo "<font color=#ff0000><b>Приз уже выдавался. Повторная выдача невозможна!!!</b></font><br><br>";
	}else{
		if($res["mesto".$place] == '1'){
			$prisvalue = $res["price".$place];
			
			$res1 = mysql_query("SELECT `id_user` FROM `b_compdata` WHERE `id`='$iduser'");
			$res1 = mysql_fetch_array($res1);
			$lidername = $res1["id_user"];
			mysql_query("UPDATE `b_users` SET `money`=`money`+'$prisvalue' WHERE `id`='$lidername'");
			mysql_query("UPDATE `b_comp` SET `status".$place."`='1' WHERE `id`='$idk'");
			mysql_query("INSERT INTO `tb_allhistory` (`idus`,`data`,`doing`,`title`) values ('$lidername','".time()."','7','Выплата за победу в конкурсе № $idk')"); 
			echo "<font color=#00cc00><b>Пользователь успешно получил свой приз</b></font><br><br>";
		}else{
			$prisvalue = $res["price".$place];
			
			$lidername = mysql_result(mysql_query("SELECT `id_user` FROM `b_compdata` WHERE `id`='$iduser'"),0,0);

			$res = mysql_query("SELECT `username` FROM `b_users` WHERE `id`='$lidername'");
			if(mysql_num_rows($res)>0){
				$res=mysql_fetch_array($res);
				$login = $res["username"];

				$res=mysql_query("SELECT * FROM `b_users` WHERE `referer`='' AND `username`!='$login' ORDER BY `visits` DESC LIMIT $prisvalue");
				if(mysql_num_rows($res) < $prisvalue){
					echo "<font color=#ff0000><b>У системы недостаточно свободных рефералов для выдачи приза!</b></font><br><br>";
				}else{
					while($row=mysql_fetch_array($res)){
						mysql_query("UPDATE `b_users` SET `referer`='$login' WHERE `id`='".$row["id"]."'");
					}
					mysql_query("UPDATE `b_users` SET `referals`=`referals`+'$prisvalue' WHERE `id`='$lidername'");
					mysql_query("UPDATE `b_comp` SET `status".$place."`='1' WHERE `id`='$idk'");
					echo "<font color=#00cc00><b>Пользователь успешно получил свой приз</b></font><br><br>";
				}
			}else{
				echo "<font color=#ff0000><b>Нет такого пользователя!!!</b></font><br><br>";
			}
		}
	}	
}
?>

<font size=3>Зеленым подсвечиваются те пользователи, которые набрали минимум и считаются участниками конкурса, имеющими право на получение приза!!!</font><br>
<table class="adn">
<tr class="lineb"><td width=50% align=center>Активные конкурсы</td><td width=50% align=center>Завершенные конкурсы</td></tr>
<tr class="lineb"><td width=50% valign=top>

<table class="adn">
<tr class="lineb">
	<td>Место</td>
	<td>Пользователь</td>
	<td>Набрано очков</td>
</tr>
<?
$t = time();
$res = mysql_query("SELECT * FROM `b_comp` ORDER BY `id` DESC");
while($row = mysql_fetch_array($res)){
	
	$sd = $row["startdate"];
	$ed = $row["enddate"];
	$idk = $row["id"];
	$minvalue = $row["minimal"];

	if($t>$sd && $t<$ed){
		echo "<tr><td colspan='3' bgcolor='#333333' align='center'><font color=#ffffff><b>";
		switch($row["type"]){
	  case 1: echo "Конкурс рефералов";break;
	  case 2: echo "Конкурс рекламодателей";break;
	  case 3: echo "Конкурс заданий";break;
	  }
	  echo "</b></font></td></tr>";
		$res1=mysql_query("SELECT * FROM `b_compdata` WHERE `idk`='$idk' ORDER BY `resvalue` DESC LIMIT 10");
		$place = 0;
		while($row1=mysql_fetch_array($res1)){
		$place += 1;
		if($row1["resvalue"]>=$minvalue) { $cvet='00ff00'; }else{ $cvet='ffffff';}
		$us_nam = mysql_result(mysql_query("SELECT `username` FROM `b_users` WHERE `id`='".$row1["id_user"]."'"),0,0);
		echo "<tr bgcolor=#$cvet><td align=center>$place</td><td align=center>$us_nam</td><td align=center>".$row1["resvalue"]."</td></tr>";
		}
	}
}
?>
</table>

</td><td width=50% valign=top>

<table class="adn"><tr class="lineb">
	<td>Место</td>
	<td>Пользователь</td>
	<td>Набрано очков</td>
	<td>Статус приза</td>
	<td></td>
</tr>
<?
$t = time();
$res = mysql_query("SELECT * FROM `b_comp` ORDER BY `id` DESC");
while($row = mysql_fetch_array($res)){
	$ed = $row["enddate"];
	$idk = $row["id"];
	$minvalue = $row["minimal"];

	if($t > $ed){
		echo "<tr class='liney ell'><td colspan='5' bgcolor='#333333' align='center'><font color=#ffffff><b>";
		switch($row["type"]){
	  case 1: echo "Конкурс рефералов";break;
	  case 2: echo "Конкурс рекламодателей";break;
	  case 3: echo "Конкурс заданий";break;
	  }
	  echo "</b></font></td></tr>";
		$res1 = mysql_query("SELECT * FROM `b_compdata` WHERE `idk`='$idk' AND `resvalue`>='$minvalue' ORDER BY `resvalue` DESC LIMIT 3");
		$place = 0;
		while($row1 = mysql_fetch_array($res1)){
			$place += 1;
			if($row["status".$place] == '0') { $prisstatus="<font color=#ff0000><b>Не получен</b></font>"; }else{ $prisstatus="<font color=#00ff00><b>Получен</b></font>"; }
      $us_nam = mysql_result(mysql_query("SELECT `username` FROM `b_users` WHERE `id`='".$row1["id_user"]."'"),0,0);
			echo "<tr class='liney ell'><td align=center>$place</td><td align=center>$us_nam</td><td align=center>".$row1["resvalue"]."</td>
			<td align=center>$prisstatus</td><td align=center>";

			if($row["status".$place] == '0'){
				?>
				<form action="" method=post>
				<input type=hidden value="<?=$idk?>" name="idk">
				<input type=hidden value="<?=$place?>" name="place">
				<input type=hidden value="<?=$row1["id"]?>" name="iduser">
				<input type=hidden value="paypris" name="action">
				<input type=submit value="Выдать приз за <?=$place?> место">
				</form>
				<?
			}
			echo "</td></tr>";
		}
	}
}
?>
</table>

</td></tr>
</table>